config() {
    NEW="$1"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
        mv $NEW $OLD
    elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
        # toss the redundant copy
        rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
	
}

preserve_perms() {
    NEW="$1"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    if [ -e $OLD ]; then
        cp -avr $OLD ${NEW}.incoming
        cat $NEW > ${NEW}.incoming
        mv ${NEW}.incoming $NEW
    fi
    config $NEW
	
}

( cd lib/firmware/brcm ; rm -rf brcmfmac43430a0-sdio.ilife-S806.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430a0-sdio.jumper-ezpad-mini3.txt )
( cd lib/firmware/brcm ; rm -rf "brcmfmac43430a0-sdio.ONDA-V80 PLUS.txt" )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.AP6212.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.Hampoo-D2D3_Vi8A1.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.MUR1DX.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.raspberrypi,3-model-b.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.raspberrypi,model-zero-w.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.sinovoip,bpi-m2-plus.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.sinovoip,bpi-m2-ultra.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.sinovoip,bpi-m2-zero.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.sinovoip,bpi-m3.txt )

# Roll the config()
if [ -f lib/firmware/brcm/*.new ]; then 
  config lib/firmware/brcm/brcmfmac43430-sdio.bin.new
fi
# set /dev/ttyS0 serial port list entry to /dev/ttyAMA0 in /etc/inittab and comment out
# this will prevent the 'INIT: Id "s0" respawning too fast' error
if grep -q '^s0:12345' etc/inittab ; then
  sed -Ei 's/^s0:12345:respawn.*/#s0:12345:respawn:\/sbin\/agetty --keep-baud 115200,38400,9600 ttyAMA0 vt100/g' etc/inittab &&   echo " + Serial line #s0:12345:respawn in /etc/inittab - DISABLED"
fi

# enable PermitRootLogin in /etc/ssh/sshd_config
if grep -q '^#PermitRootLogin' etc/ssh/sshd_config ; then
  sed -Ei 's/#PermitRootLogin.*/PermitRootLogin yes/g' etc/ssh/sshd_config &&   echo " + PermitRootLogin in /etc/ssh/sshd_config - ENABLED"
fi

( cd lib/firmware/brcm ; rm -rf BCM43430A1.raspberrypi,3-model-b.hcd )
( cd lib/firmware/brcm ; ln -sf BCM43430A1.hcd BCM43430A1.raspberrypi,3-model-b.hcd )
( cd lib/firmware/brcm ; rm -rf BCM43430A1.raspberrypi,model-zero-2-w.hcd )
( cd lib/firmware/brcm ; ln -sf ../synaptics/SYN43430A1.hcd BCM43430A1.raspberrypi,model-zero-2-w.hcd )
( cd lib/firmware/brcm ; rm -rf BCM43430A1.raspberrypi,model-zero-w.hcd )
( cd lib/firmware/brcm ; ln -sf BCM43430A1.hcd BCM43430A1.raspberrypi,model-zero-w.hcd )
( cd lib/firmware/brcm ; rm -rf BCM43430B0.raspberrypi,model-zero-2-w.hcd )
( cd lib/firmware/brcm ; ln -sf ../synaptics/SYN43430B0.hcd BCM43430B0.raspberrypi,model-zero-2-w.hcd )
( cd lib/firmware/brcm ; rm -rf BCM4345C0.raspberrypi,3-model-a-plus.hcd )
( cd lib/firmware/brcm ; ln -sf BCM4345C0.hcd BCM4345C0.raspberrypi,3-model-a-plus.hcd )
( cd lib/firmware/brcm ; rm -rf BCM4345C0.raspberrypi,3-model-b-plus.hcd )
( cd lib/firmware/brcm ; ln -sf BCM4345C0.hcd BCM4345C0.raspberrypi,3-model-b-plus.hcd )
( cd lib/firmware/brcm ; rm -rf BCM4345C0.raspberrypi,4-compute-module.hcd )
( cd lib/firmware/brcm ; ln -sf BCM4345C0.hcd BCM4345C0.raspberrypi,4-compute-module.hcd )
( cd lib/firmware/brcm ; rm -rf BCM4345C0.raspberrypi,4-model-b.hcd )
( cd lib/firmware/brcm ; ln -sf BCM4345C0.hcd BCM4345C0.raspberrypi,4-model-b.hcd )
( cd lib/firmware/brcm ; rm -rf BCM4345C0.raspberrypi,5-model-b.hcd )
( cd lib/firmware/brcm ; ln -sf BCM4345C0.hcd BCM4345C0.raspberrypi,5-model-b.hcd )
( cd lib/firmware/brcm ; rm -rf BCM4345C5.raspberrypi,4-compute-module.hcd )
( cd lib/firmware/brcm ; ln -sf BCM4345C5.hcd BCM4345C5.raspberrypi,4-compute-module.hcd )
( cd lib/firmware/brcm ; rm -rf BCM4345C5.raspberrypi,400.hcd )
( cd lib/firmware/brcm ; ln -sf BCM4345C5.hcd BCM4345C5.raspberrypi,400.hcd )
( cd lib/firmware/brcm ; rm -rf brcmfmac43012-sdio.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43012-sdio.bin brcmfmac43012-sdio.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43012-sdio.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43012-sdio.clm_blob brcmfmac43012-sdio.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43340-sdio.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43340-sdio.bin brcmfmac43340-sdio.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43362-sdio.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43362-sdio.bin brcmfmac43362-sdio.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43362-sdio.lemaker,bananapro.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43362-sdio.cubietech,cubietruck.txt brcmfmac43362-sdio.lemaker,bananapro.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac4339-sdio.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac4339-sdio.bin brcmfmac4339-sdio.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.bin.new )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43430-sdio.bin brcmfmac43430-sdio.bin.new )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43430-sdio.clm_blob brcmfmac43430-sdio.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.raspberrypi,3-model-b.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43430-sdio.bin brcmfmac43430-sdio.raspberrypi,3-model-b.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.raspberrypi,3-model-b.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43430-sdio.clm_blob brcmfmac43430-sdio.raspberrypi,3-model-b.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.raspberrypi,3-model-b.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43430-sdio.txt brcmfmac43430-sdio.raspberrypi,3-model-b.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.raspberrypi,model-zero-2-w.bin )
( cd lib/firmware/brcm ; ln -sf brcmfmac43436s-sdio.bin brcmfmac43430-sdio.raspberrypi,model-zero-2-w.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.raspberrypi,model-zero-2-w.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43436s-sdio.txt brcmfmac43430-sdio.raspberrypi,model-zero-2-w.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.raspberrypi,model-zero-w.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43430-sdio.bin brcmfmac43430-sdio.raspberrypi,model-zero-w.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.raspberrypi,model-zero-w.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43430-sdio.clm_blob brcmfmac43430-sdio.raspberrypi,model-zero-w.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.raspberrypi,model-zero-w.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43430-sdio.txt brcmfmac43430-sdio.raspberrypi,model-zero-w.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.sinovoip,bpi-m2-plus.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43430-sdio.AP6212.txt brcmfmac43430-sdio.sinovoip,bpi-m2-plus.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.sinovoip,bpi-m2-ultra.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43430-sdio.AP6212.txt brcmfmac43430-sdio.sinovoip,bpi-m2-ultra.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.sinovoip,bpi-m2-zero.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43430-sdio.AP6212.txt brcmfmac43430-sdio.sinovoip,bpi-m2-zero.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430-sdio.sinovoip,bpi-m3.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43430-sdio.AP6212.txt brcmfmac43430-sdio.sinovoip,bpi-m3.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430b0-sdio.raspberrypi,model-zero-2-w.bin )
( cd lib/firmware/brcm ; ln -sf brcmfmac43436-sdio.bin brcmfmac43430b0-sdio.raspberrypi,model-zero-2-w.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430b0-sdio.raspberrypi,model-zero-2-w.clm_blob )
( cd lib/firmware/brcm ; ln -sf brcmfmac43436-sdio.clm_blob brcmfmac43430b0-sdio.raspberrypi,model-zero-2-w.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43430b0-sdio.raspberrypi,model-zero-2-w.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43436-sdio.txt brcmfmac43430b0-sdio.raspberrypi,model-zero-2-w.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43436-sdio.raspberrypi,model-zero-2-w.bin )
( cd lib/firmware/brcm ; ln -sf brcmfmac43436-sdio.bin brcmfmac43436-sdio.raspberrypi,model-zero-2-w.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43436-sdio.raspberrypi,model-zero-2-w.clm_blob )
( cd lib/firmware/brcm ; ln -sf brcmfmac43436-sdio.clm_blob brcmfmac43436-sdio.raspberrypi,model-zero-2-w.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43436-sdio.raspberrypi,model-zero-2-w.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43436-sdio.txt brcmfmac43436-sdio.raspberrypi,model-zero-2-w.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43436s-sdio.raspberrypi,model-zero-2-w.bin )
( cd lib/firmware/brcm ; ln -sf brcmfmac43436s-sdio.bin brcmfmac43436s-sdio.raspberrypi,model-zero-2-w.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43436s-sdio.raspberrypi,model-zero-2-w.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43436s-sdio.txt brcmfmac43436s-sdio.raspberrypi,model-zero-2-w.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43439-sdio.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43439-sdio.bin brcmfmac43439-sdio.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43439-sdio.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43439-sdio.clm_blob brcmfmac43439-sdio.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43439-sdio.txt )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43439-sdio.txt brcmfmac43439-sdio.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.bin brcmfmac43455-sdio.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.clm_blob brcmfmac43455-sdio.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.pine64,pinebook-pro.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.AW-CM256SM.txt brcmfmac43455-sdio.pine64,pinebook-pro.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.pine64,pinenote-v1.1.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.AW-CM256SM.txt brcmfmac43455-sdio.pine64,pinenote-v1.1.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.pine64,pinenote-v1.2.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.AW-CM256SM.txt brcmfmac43455-sdio.pine64,pinenote-v1.2.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.pine64,pinephone-pro.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.AW-CM256SM.txt brcmfmac43455-sdio.pine64,pinephone-pro.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.pine64,quartz64-a.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.AW-CM256SM.txt brcmfmac43455-sdio.pine64,quartz64-a.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.pine64,quartz64-b.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.AW-CM256SM.txt brcmfmac43455-sdio.pine64,quartz64-b.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.pine64,rockpro64-v2.0.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.AW-CM256SM.txt brcmfmac43455-sdio.pine64,rockpro64-v2.0.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.pine64,rockpro64-v2.1.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.AW-CM256SM.txt brcmfmac43455-sdio.pine64,rockpro64-v2.1.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.pine64,soquartz-blade.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.AW-CM256SM.txt brcmfmac43455-sdio.pine64,soquartz-blade.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.pine64,soquartz-cm4io.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.AW-CM256SM.txt brcmfmac43455-sdio.pine64,soquartz-cm4io.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.pine64,soquartz-model-a.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.AW-CM256SM.txt brcmfmac43455-sdio.pine64,soquartz-model-a.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,3-model-a-plus.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.bin brcmfmac43455-sdio.raspberrypi,3-model-a-plus.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,3-model-a-plus.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.clm_blob brcmfmac43455-sdio.raspberrypi,3-model-a-plus.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,3-model-a-plus.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.txt brcmfmac43455-sdio.raspberrypi,3-model-a-plus.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,3-model-b-plus.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.bin brcmfmac43455-sdio.raspberrypi,3-model-b-plus.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,3-model-b-plus.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.clm_blob brcmfmac43455-sdio.raspberrypi,3-model-b-plus.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,3-model-b-plus.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.txt brcmfmac43455-sdio.raspberrypi,3-model-b-plus.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,4-compute-module.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.bin brcmfmac43455-sdio.raspberrypi,4-compute-module.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,4-compute-module.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.clm_blob brcmfmac43455-sdio.raspberrypi,4-compute-module.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,4-compute-module.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.txt brcmfmac43455-sdio.raspberrypi,4-compute-module.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,4-model-b.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.bin brcmfmac43455-sdio.raspberrypi,4-model-b.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,4-model-b.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.clm_blob brcmfmac43455-sdio.raspberrypi,4-model-b.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,4-model-b.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.txt brcmfmac43455-sdio.raspberrypi,4-model-b.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,5-model-b.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.bin brcmfmac43455-sdio.raspberrypi,5-model-b.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,5-model-b.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43455-sdio.clm_blob brcmfmac43455-sdio.raspberrypi,5-model-b.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43455-sdio.raspberrypi,5-model-b.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43455-sdio.txt brcmfmac43455-sdio.raspberrypi,5-model-b.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43456-sdio.raspberrypi,4-compute-module.bin )
( cd lib/firmware/brcm ; ln -sf brcmfmac43456-sdio.bin brcmfmac43456-sdio.raspberrypi,4-compute-module.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43456-sdio.raspberrypi,4-compute-module.clm_blob )
( cd lib/firmware/brcm ; ln -sf brcmfmac43456-sdio.clm_blob brcmfmac43456-sdio.raspberrypi,4-compute-module.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43456-sdio.raspberrypi,4-compute-module.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43456-sdio.txt brcmfmac43456-sdio.raspberrypi,4-compute-module.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43456-sdio.raspberrypi,400.bin )
( cd lib/firmware/brcm ; ln -sf brcmfmac43456-sdio.bin brcmfmac43456-sdio.raspberrypi,400.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43456-sdio.raspberrypi,400.clm_blob )
( cd lib/firmware/brcm ; ln -sf brcmfmac43456-sdio.clm_blob brcmfmac43456-sdio.raspberrypi,400.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac43456-sdio.raspberrypi,400.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac43456-sdio.txt brcmfmac43456-sdio.raspberrypi,400.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac4354-sdio.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac4354-sdio.bin brcmfmac4354-sdio.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac4354-sdio.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac4354-sdio.clm_blob brcmfmac4354-sdio.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac4356-pcie.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac4356-pcie.bin brcmfmac4356-pcie.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac4356-pcie.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac4356-pcie.clm_blob brcmfmac4356-pcie.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac4356-sdio.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac4356-sdio.bin brcmfmac4356-sdio.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac4356-sdio.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac4356-sdio.clm_blob brcmfmac4356-sdio.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac4356-sdio.firefly,firefly-rk3399.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac4356-sdio.AP6356S.txt brcmfmac4356-sdio.firefly,firefly-rk3399.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac4356-sdio.khadas,vim2.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac4356-sdio.AP6356S.txt brcmfmac4356-sdio.khadas,vim2.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac4356-sdio.vamrs,rock960.txt )
( cd lib/firmware/brcm ; ln -sf brcmfmac4356-sdio.AP6356S.txt brcmfmac4356-sdio.vamrs,rock960.txt )
( cd lib/firmware/brcm ; rm -rf brcmfmac43570-pcie.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43570-pcie.bin brcmfmac43570-pcie.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac43570-pcie.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac43570-pcie.clm_blob brcmfmac43570-pcie.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac4373-sdio.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac4373-sdio.bin brcmfmac4373-sdio.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac4373-sdio.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac4373-sdio.clm_blob brcmfmac4373-sdio.clm_blob )
( cd lib/firmware/brcm ; rm -rf brcmfmac54591-pcie.bin )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac54591-pcie.bin brcmfmac54591-pcie.bin )
( cd lib/firmware/brcm ; rm -rf brcmfmac54591-pcie.clm_blob )
( cd lib/firmware/brcm ; ln -sf ../cypress/cyfmac54591-pcie.clm_blob brcmfmac54591-pcie.clm_blob )
